#include <stdio.h>
#include <stdlib.h>

/* Globalni niz */
char  message[] = "Hello world\n";

int main()
{

/* Asemblerski kod koji poziva funkciju printf() */
__asm__(
"lea rdi, message\n\t"
"call printf\n\t"
);


/* Da bi ovaj kod radio (s obzirom da je pisan u Intel sintaksi), potrebno
   je gcc prevodiocu zadati opciju -masm=intel
*/
 
return EXIT_SUCCESS;

}
